create or replace package wow is
	type web_page is table of varchar2(255)
	index by binary_integer;
	procedure sig;
	procedure sig(cname in varchar2);
        procedure get_page (   	thepage out web_page,
				irows in out integer );
	wowgif varchar2(255) := '/sccs/sccs_logo.gif';
end; -- <hr>
/
create or replace package body wow is -- <p>

	invocations integer := 0;
        last_timing number := NULL;


	procedure sig is
	begin
		htp.line;
	htp.p('This page is generated at <tt>'||
			to_char(sysdate,'Dy, mm/dd/yy hh24:mi') || 
			' EST</tt> from ' || htf.url('http://osprey7.npac.syr.edu:8080/',
			'NPAC Oracle Server')||'</html>');
	end; -- <p> 

	procedure sig(cname in varchar2) is
	begin
		sig;
		htp.url('/cgi-bin/sccs/wow/sccs.home?cname=' || cname,
		'SCCS Document Database Server');
	end; -- <p>

        procedure get_page (   thepage out web_page,
				irows in out integer ) is
		rc integer := 0;
		j integer;
		k integer := 1;
	begin
		if invocations = 0 and upper(wowgif) != 'NONE' then
			--thepage(1):='<html>'||htf.gif(wowgif);
			--thepage(1):='<html><img src="'||wowgif||'" border=0 width="62" height="40" align="center">';
			thepage(1):='<html>';
			invocations := 1;
			k := 2;
		end if;
		for j in k..irows loop
			dbms_output.get_line(thepage(j),rc);
			if rc = 1 then
				irows := j-1;
				exit;
			end if;
		end loop;
	exception
	when others then
		raise_application_error(-20001,'wow.get_page() error ' ||
		to_char(sqlcode));
	end; -- <p>

end;
/
show error;
/





