#!/usr/bin/perl

eval 'use Oraperl; 1' || die $@ if $] >= 5;

#undef $ENV{'ORACLE_SID'}; # for remote client machine only
#$ENV{'TWO_TASK'} = 'osprey8';  # for remote client machine only

#$ENV{'TNS_ADMIN'} = '/home/R10E/gcheng/sqlplus';
$ENV{'ORACLE_HOME'} = '/localb/oracle/app/oracle/product/8.1.5';

$USERID = $ENV{"USERID"};
$PASSWD = $ENV{"PASSWD"};
$MAX_MSGID = 1000000;

#open(STDERR,"> /dev/null");

print "**** logon Oracle ****\n";
$lda = &ora_login($ORACLE_SID,$USERID,$PASSWD) || die $ora_errstr;
#$lda = &ora_login('',$USERID,$PASSWD) || die $ora_errstr;
$count = 0;

if (!&draft_parse) {
	print "Error in NNTP - aborted !\n";
}
do ora_logoff($lda) || die "can't log off Oracle";
print "\n**** logoff Oracle ****\n";
print "**** Total $count articles parsed ****\n";
exit 0;

#--------------------------------------------------------------------------
# Usage:	&draft_parse();
# Action:	Parse current draft and construct header attributes
#--------------------------------------------------------------------------
sub draft_parse	{
local($i,$key,$value,$out,$state,$len,$fid);
local($p) = ('draft_parse');
local($timezone,$junk);
local($sname,$userid,$email,$a);
local($i_id,$i_folder);
local($chars,$words,$lines);

$state = 0; # 0 - before/between articles; 1 - in an article header; 2 - in an article body
$current_group = "";

while(<STDIN>)	{
	#print $_;
	chop;
	if ($state == 0) {
        	if (/^_TOP_(.+)\s+(\d+)_TOP_$/) {
			$fid = $2; $newsgroup = $1;
			#print "$newsgroup $fid\n";
			@HeaderKeyVec = @HeaderValueVec = @ValueHeightVec = @KeyLabelVec = (); 
			$KeyMaxLength = '';
			$state = 1;
			if ($current_group ne $newsgroup) {
				$current_group = $newsgroup;
				$F_ID = 0;
			}
			%key_value = ("Received","","Message-Id","","To","",
          		"Cc","","Subject","","Date","","From","",
          		"In-Reply-To","","Content-Type","TEXT/PLAIN",
          		"Content-Length","","Size","","Return-Path","",
          		"Message-ID","","Followup-To","","Newsgroups","",
          		"References","","Message-id","","Sender","");
		}
		else  {print "$_\n";}
    	}
	elsif ($state == 1) {
		if(/ERROR_NA$/) { 
			print "Error in [$newsgroup $fid]\n";
			&ora_do($lda,"update folder set max_msgid='$fid' 
				where path='$newsgroup' and max_msgid < '$fid'")|| die $ora_errstr;
			&ora_commit($lda);
			$state = 0;
			next;
		}	
		if(/^([^\s:]+):\s*(.*)\s*$/)	{
			$key = $1; $value = $2;
			$len = length($key);
			if($len > $KeyMaxLength) { $KeyMaxLength = $len; }
	                $key_value{$key} = $value;
			push(@HeaderKeyVec,$key);
			push(@HeaderValueVec,$value);
			push(@ValueHeightVec,$height=1);
		}
		elsif(/^\s*-*\s*$/) { 
			$state = 2; 
			@BodyVec = @Body_Str = ();
			$j = 0;
			$BodyHeight = 0;
			$chars = $words = $lines = $tt = 0;
		}
		else		{
			if(!$key) { 
				print "Error in $p: Header Fmt ($_)\n"; 
				&ora_do($lda,"update folder set max_msgid='$fid' 
					where path='$newsgroup' and max_msgid < '$fid'")|| die $ora_errstr;
				&ora_commit($lda);
				$state = 0;
			}
			else { 
				$value = pop(@HeaderValueVec);
				push(@HeaderValueVec,"$value$_");
				$key_value{$key} = "$value$_";
				$height = pop(@ValueHeightVec);
				push(@ValueHeightVec,$height+1);
			}			
		}
		next;
	}
	elsif ($state == 2) {
		if (!/^_END_(.+)_END_$/) {
			$line_chars = tr///c;
			#if (($j < 10) && (($tt + $line_chars) >= 1800)) {
			#	$Body_Str[$j] = join("\n",@BodyVec);
			#	$Body_Str[$j] =~ s/'/''/g;
			#	@BodyVec = ("\n");
			#	push(@BodyVec,$_);
			#	$chars += $tt;
			#	$_ = "$Body_Str[$j]";
			#	$tt = $line_chars;
			#	$j++;
			#}
			#else {
				push(@BodyVec,$_);
				$tt += $line_chars;
     	       		#}
		}
		else {
			$state = 0; 
		        $_ = "@BodyVec";
			$chars += $tt;
			$j = 0;
			$Body_Str[$j] = join("\n",@BodyVec); 
			$Body_Str[$j] =~ s/'/''/g;

			#$total_body_field = $j;
			$key_value{"Size"} = $chars;


			if ($key_value{"Message-Id"} eq "") {
				$key_value{"Message-Id"} = $key_value{"Message-ID"};
			}	
			if ($key_value{"Message-Id"} eq "") {
				$key_value{"Message-Id"} = $key_value{"Message-id"};
			}
	
			if ($key_value{"From"} eq "") {
				$key_value{"From"} = $key_value{"Sender"};
			}


			$junk = $key_value{"Date"};
			if ($junk =~ /,/) {	# in case there is no weekday char
				($junk,$key_value{"Date"}) = split(/, /,$key_value{"Date"});
			}
			($key_value{"Date"},$junk) = split(/-/,$key_value{"Date"});
			($key_value{"Date"},$junk) = split(/[+]/,$key_value{"Date"});

			$timezone = $key_value{"Date"};
			$key_value{"Date"} =~ s/:(.*):(.*)/:\1/;  # get rid of seconds
			if ($key_value{"Date"} =~ /:(.*):(.*)/) {
				$key_value{"Date"} = $1;
				$timezone = $2;
			}
			$timezone =~ s/\s*.*([A-Z][A-Z][A-Z]).*/\1/;
			$key_value{"Date"} =~ s/:([0-9]*)\s+(.*)$/:\1/; # get rid of time Zone

			if (!$timezone || !($timezone =~ /AST|ADT|BST|BDT|CST|CDT|EST|EDT|HST|HDT|MST|MDT|NST|PST|PDT|YST|YDT|GMT/)) 
				{$timezone = "EST";}

			$key_value{"Date"} =~ s/^\s*(\d+)\s+([a-zA-Z]+)\s+(\d+)\s+(\d+:\d+)/$1 $2 $3 $4/;
			if ($key_value{"Date"} =~ /^(\d+)\s+([a-zA-Z]+)\s+(\d+)\s+(\d+:\d+)/) {
				local ($a, $b, $c, $d);
				$a = $1; $b = $2; $c = $3; $d = $4;
				if ($c =~ /^\d\d$/) { 
					if ($c > 60) { # Y2K debug -JK
						$key_value{"Date"} = "$a $b 19$c $d";
                    }
					else {
						$key_value{"Date"} = "$a $b 20$c $d";
					}
				}
				else { $key_value{"Date"} = "$a $b $c $d";}
			}
			else {
				print "Date Format Error in $DraftCur ...\n";
				&ora_do($lda,"update folder set max_msgid='$fid' 
					where path='$newsgroup' and max_msgid < '$fid'")|| die $ora_errstr;
				&ora_commit($lda);
				next;
			}

			if ($key_value{"References"} ne "") {
				$key_value{"In-Reply-To"} = $key_value{"References"};
			}

			$key_value{"In-Reply-To"} =~ s/\n//g;
			$key_value{"In-Reply-To"} =~ s/^(\s|.*)(<.*>)(\s|.)*$/\2/; # only need meg id
			$key_value{"Message-Id"} =~ s/(\s|.*)(<.*>)(\s|.)*$/\2/; # only need meg id

			$key_value{"Subject"} =~ s/'/''/g; # require by plsql for single quote
			$key_value{"From"} =~ s/'/''/g; # require by plsql for single quote
			$key_value{"Message-Id"} =~ s/'/''/g; # require by plsql for single quote
			$key_value{"In-Reply-To"} =~ s/'/''/g; # require by plsql for single quote

			
			$a = $key_value{"From"};
			if ($a =~ /^\s*(.*)<(.*)>\s*$/) {
				$sname = $1;
				$email = $2;
			}
			elsif ($a =~ /^\s*(.*)\s\((.*)\)\s*$/) {
				$sname = $2;
				$email = $1;
			}
			elsif ($a =~ /^\s*(.*)\((.*)\)\s*$/) {
				$sname = $2;
				$email = $1;
			}
			else {	
				$sname = "";
				$email = $a;
			}
			$sname =~ s/\s*$//;
			$sname =~ s/"//g;
			$email =~ s/\s*$//;
			$email =~ s/^\s*//;
			$email =~ s/<//g;
			$email =~ s/>//g;
			($userid,$a) = split(/@/,$email);
			if ($userid eq "") {
				if ($email eq "") {
					print "Bad msg header $fid\n"; 
					next;
				}
				$userid = $email;
			}

			if ($key_value{"Cc"} eq "") {
			$key_value{"Cc"} = $key_value{"Followup-To"};
			}
			if ($key_value{"To"} eq "") {
				$key_value{"To"} = $key_value{"Newsgroups"};
			}
			$key_value{"To"} =~ s/'/''/g; # require by plsql for single quote
			if (length($key_value{"To"}) >= 2000) { 
				$key_value{"To"} = substr($key_value{"To"},0,2000);
				$key_value{"To"} =~ s/,(\w+)$//;
			}
			$key_value{"Cc"} =~ s/'/''/g; # require by plsql for single quote
			if (length($key_value{"Cc"}) >= 2000) { 
				$key_value{"Cc"} = substr($key_value{"Cc"},0,2000);
				$key_value{"Cc"} =~ s/,(\w+)$//;
			}

			$key_value{"Content-Type"} = ""; # ignore this field for the time-being

#print "insert $fid length=$chars ...\n";

$err = &ora_do($lda,<<END_OF_PLSQL1);
begin
MAILS0.insert_header(i_id=>'$fid',
	            i_msg_date=>'$key_value{"Date"}',i_subject=>'$key_value{"Subject"}',
                    i_sender=>'$email',i_receiver=>'$key_value{"To"}',
	            i_msg_id=>'$key_value{"Message-Id"}',i_bytes=>'$key_value{"Size"}',
	            i_body_type=>'$key_value{"Content-Type"}',i_folder=>'$newsgroup',
	            i_replied_id=>'$key_value{"In-Reply-To"}',
	            i_timezone=>'$timezone',i_cc=>'$key_value{"Cc"}',
	            uid=>'$userid',sname=>'$sname',email=>'$email');
commit;
end;
END_OF_PLSQL1

            if (!$err) {
	       print "error while inserting $newsgroup $fid header\n";
	       next;
            }

$Body_Str[0] = substr($Body_Str[0],0,32200);  # 32k limit in PL/SQL long variable

$err = &ora_do($lda,<<END_OF_PLSQL2);
begin
MAILS0.insert_body(i_id=>'$fid',i_body_type=>'$key_value{"Content-Type"}',
	  i_chars=>$chars,i_words=>$words,i_lines=>$lines,i_folder=>'$newsgroup',
          i_body=>'$Body_Str[0]');
commit;
end;
END_OF_PLSQL2

        if (!$err) {
	     print "error while inserting $newsgroup $fid body\n";
	     return 0;
	     next;
        }
        
	#print "$newsgroup $fid done length=$chars\n";
       	&ora_do($lda,"update folder set max_msgid='$fid' where path='$newsgroup'")|| die $ora_errstr;
	&ora_commit($lda);
	$count += 1;
    }
  }
}
return 1;
}
